﻿#include <string>
#include <iostream>
#include <windows.h>
#include "resource.h"
#include <stdio.h>

using namespace std;

BOOL CALLBACK DlgProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK DlgProc2(HWND, UINT, WPARAM, LPARAM);

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow)
{
  HWND hwnd  = CreateDialog(hInstance, MAKEINTRESOURCE(IDD_DIALOG1), NULL, (DLGPROC)DlgProc);
  HWND hwnd2 = CreateDialog(hInstance, MAKEINTRESOURCE(IDD_DIALOG2), hwnd, (DLGPROC)DlgProc2);
  return 0;
}

BOOL CALLBACK DlgProc(HWND hwnd, UINT msg, WPARAM wParam, LPARAM lParam)
{
  switch (msg)
  {
    case WM_INITDIALOG:
      ShowWindow(hwnd, SW_MAXIMIZE);
      break;
    case WM_CLOSE:
      EndDialog(hwnd,0);
      break;
  }
  return FALSE; 
  //return TRUE; 
}

BOOL CALLBACK DlgProc2(HWND hwnd2, UINT msg, WPARAM wParam, LPARAM lParam)
{
  switch (msg)
  {
    case WM_INITDIALOG:
      ShowWindow(hwnd2, SW_NORMAL);
      break;
    case WM_COMMAND:
    {
      switch (LOWORD(wParam))
      {
        case ID_OK:
          EndDialog(hwnd2,1);
          break;
        case ID_CANCEL:
          EndDialog(hwnd2,0);
          break;
      }
      break;
    }
    case WM_CLOSE:
      EndDialog(hwnd2,0);
      break;
  }
  return FALSE; 
  //return TRUE; 
}



